petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMatTransposeMult

Performs Matrix-Matrix Multiplication C=A*B^T.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMatTransposeMult(Mat A,Mat B,MatReuse scall,PetscReal fill,Mat *C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the left matrix
| B | - the right matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| fill | - expected fill as ratio of nnz(C)/(nnz(A) + nnz(B)), use PETSC_DEFAULT if not known

### Output Parameters

C -the product matrix

### Notes

C will be created if MAT_INITIAL_MATRIX and must be destroyed by the user with MatDestroy().

MAT_REUSE_MATRIX can only be used if the matrices A and B have the same nonzero pattern as in the previous call

To determine the correct fill value, run with -info and search for the string "Fill ratio" to see the value actually needed.

This routine is currently only implemented for pairs of SeqAIJ matrices. C will be of type MATSEQAIJ.

### See Also

MatMatTransposeMultSymbolic(), MatMatTransposeMultNumeric(), MatMatMult(), MatTransposeMatMult() MatPtAP()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages